Bug 245182 - www/ufdbguard: update to 1.34.5
Summary: www/ufdbguard: update to 1.34.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-30 08:41 UTC by timp87
Modified: 2020-05-02 04:39 UTC (History)
4 users (show)

See Also:


Attachments
port patch (938 bytes, patch)
2020-03-30 08:41 UTC, timp87
fernape: maintainer-approval+
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2020-03-30 08:41:09 UTC
Created attachment 212856 [details]
port patch

Release notes: https://www.urlfilterdb.com/products/releases.html
Comment 1 Automation User 2020-03-30 08:58:16 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/130947714
Comment 2 Fernando Apesteguía freebsd_committer 2020-03-30 09:50:53 UTC
Comment on attachment 212856 [details]
port patch

^Triage: Reporter is maintainer, set attachment maintainer-approval flag (to +) to signify maintainer approval. 

Attachment -> Details -> maintainer-approval [+], or set the flag during attach/upload step
Comment 3 Michael Muenz 2020-04-04 20:50:05 UTC
I successfully compiled via ports and also poudriere on 12.1 (amd64/i386). Looks good :)
Comment 4 timp87 2020-04-05 07:23:27 UTC
Hi everyone.
I, as this port maintainer, am interested in knowing if anybody uses this port, where and what for.
Just because I have some doubts if this work is really needed.
Comment 5 Michael Muenz 2020-04-05 12:34:29 UTC
(In reply to timp87 from comment #4)

I found this piece of software when searching for commercial categorized domain blocking. I'll test it next week and consider writing a plugin for OPNsense Firewall so focus for business needs as Squid DNSBL is quite unmaintained in open source projects
Comment 6 commit-hook freebsd_committer 2020-05-02 04:37:12 UTC
A commit references this bug:

Author: tagattie
Date: Sat May  2 04:36:20 UTC 2020
New revision: 533655
URL: https://svnweb.freebsd.org/changeset/ports/533655

Log:
  Update to 1.34.5

  PR:		245182
  Submitted by:	timp87@gmail.com (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://www.urlfilterdb.com/products/releases.html

Changes:
  head/www/ufdbguard/Makefile
  head/www/ufdbguard/distinfo
Comment 7 Hiroki Tagato freebsd_committer 2020-05-02 04:39:05 UTC
Committed, thanks!